MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028179Open CASCADE[OCCT] OCCT:Documentationpublic2016-12-01 09:452017-09-29 16:25
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028179: Update documentation of Boolean Component
DescriptionThe issue is intended for updating documentation of the Boolean Component with new algorithms such as Maker Volume and Cells Builder, and new options such as Safe mode and Gluing options.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028508closedbugmaster Open CASCADE Make the CellsBuilder algorithm to work with multi-dimensional arguments 
related to 0026874closedbugmaster Community Implementation of the Splitter operator in OCCT 

-  Notes
(0064915)
git (administrator)
2017-04-05 08:02

Branch CR28179 has been created by emv.

SHA-1: 9fc10c5b8654d198d0f64368d901619bc8671f04


Detailed log of new commits:

Author: emv
Date: Wed Apr 5 07:59:14 2017 +0300

    0028179: Update documentation of Boolean Component
    
    The documentation of the Boolean component has been slightly updated.
    All recently added features are now fully described in the documentation.
(0064916)
emv (developer)
2017-04-05 08:06

Dear Mikhail, could you please review the git branch CR28179?

The documentation has been mostly updated in the related issues. This commit contains only the minor changes.

Testing is not needed as only documentation and comments have been changed.
(0064918)
msv (developer)
2017-04-05 10:09

Reviewed.
(0064919)
bugmaster (administrator)
2017-04-05 10:15

Yury,

Could you please revise updated md files?

(0065001)
git (administrator)
2017-04-06 17:32

Branch CR28179 has been updated by ysn.

SHA-1: 614744c8b7b644812e175b1943102324c01af4f0


Detailed log of new commits:

Author: ysn
Date: Thu Apr 6 17:32:14 2017 +0300

    Revision of the User Guide

(0065002)
ysn (developer)
2017-04-06 17:33

Document checked.
(0065070)
apv (tester)
2017-04-10 10:02

Testing is not needed
(0065896)
git (administrator)
2017-05-12 11:35

Branch CR28179 has been deleted by kgv.

SHA-1: 614744c8b7b644812e175b1943102324c01af4f0

- Related Changesets
occt: master aeee70d3
Timestamp: 2017-04-05 04:59:14
Author: emv
Committer: bugmaster
Details ] Diff ]
0028179: Update documentation of Boolean Component
mod - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_GlueEnum.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Splitter.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.hxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Splitter.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-01 09:45 emv New Issue
2016-12-01 09:45 emv Assigned To => ysn
2016-12-01 09:46 emv Assigned To ysn => emv
2017-04-05 08:00 emv Relationship added related to 0028508
2017-04-05 08:00 emv Relationship added related to 0026874
2017-04-05 08:01 emv Relationship added related to 0027878
2017-04-05 08:01 emv Relationship added related to 0028187
2017-04-05 08:02 git Note Added: 0064915
2017-04-05 08:06 emv Note Added: 0064916
2017-04-05 08:06 emv Assigned To emv => msv
2017-04-05 08:06 emv Status new => resolved
2017-04-05 08:06 emv Steps to Reproduce Updated View Revisions
2017-04-05 08:06 emv Severity minor => integration request
2017-04-05 10:09 msv Note Added: 0064918
2017-04-05 10:09 msv Assigned To msv => bugmaster
2017-04-05 10:09 msv Status resolved => reviewed
2017-04-05 10:15 bugmaster Note Added: 0064919
2017-04-05 10:15 bugmaster Assigned To bugmaster => ysn
2017-04-05 10:15 bugmaster Status reviewed => assigned
2017-04-06 17:32 git Note Added: 0065001
2017-04-06 17:33 ysn Note Added: 0065002
2017-04-06 17:33 ysn Assigned To ysn => bugmaster
2017-04-06 17:33 ysn Status assigned => resolved
2017-04-07 14:24 emv Status resolved => reviewed
2017-04-10 10:02 apv Test case number => Not needed
2017-04-10 10:02 apv Note Added: 0065070
2017-04-10 10:02 apv Status reviewed => tested
2017-04-14 14:28 bugmaster Changeset attached => occt master aeee70d3
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-05-12 11:35 git Note Added: 0065896
2017-09-29 16:20 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker